No need to include the lxc_conf structure definition, a forward
declaration is enough.

Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/start.h |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Index: lxc/src/lxc/start.h
===================================================================
--- lxc.orig/src/lxc/start.h
+++ lxc/src/lxc/start.h
@@ -23,14 +23,14 @@
 #ifndef __lxc_state_h
 #define __lxc_state_h
 
-#include <lxc/conf.h>
 #include <lxc/state.h>
+#include <sys/param.h>
 
-struct lxc_handler {
+struct lxc_conf;
 
+struct lxc_handler {
 	pid_t pid;
 	lxc_state_t state;
-
 	int sigfd;
 	char nsgroup[MAXPATHLEN];
 	sigset_t oldmask;



